services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  Internetgalerie\IgDatapoolFe\:
    resource: '../Classes/*'

  Internetgalerie\IgDatapoolFe\Services\AccessService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\FormService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\IconService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\LangService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\SearchLogicService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\Exporter\CsvExporterService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\Exporter\ExcelExporterService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\Exporter\ExporterService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\Exporter\JsonExporterService:
    public: true

  Internetgalerie\IgDatapoolFe\Services\Exporter\XmlExporterService:
    public: true

  Internetgalerie\IgDatapoolFe\Utility\BytesUtility:
    public: true

  Internetgalerie\IgDatapoolFe\Utility\CacheUtility:
    public: true

  Internetgalerie\IgDatapoolFe\Utility\FormUtility:
    public: true

  Internetgalerie\IgDatapoolFe\Utility\MappingUtility:
    public: true

  Internetgalerie\IgDatapoolFe\Utility\NeedfulThings:
    public: true

  Internetgalerie\IgDatapoolFe\Utility\ReflectionUtility:
    public: true

  Internetgalerie\IgDatapoolFe\Utility\SearchUtility:
    public: true

  Internetgalerie\IgDatapoolFe\Property\TypeConverter\ArrayStringConverter:
    tags:
      - name: extbase.type_converter
        priority: 1
        target: string
        sources: array

  Internetgalerie\IgDatapoolFe\Property\TypeConverter\DateTimeConverter:
    tags:
      - name: extbase.type_converter
        priority: 11
        target: DateTime
        sources: string,integer,array

  Internetgalerie\IgDatapoolFe\Property\TypeConverter\FileReferenceConverter:
    tags:
      - name: extbase.type_converter
        priority: 32
        target: TYPO3\CMS\Extbase\Domain\Model\FileReference
        sources: array

  Internetgalerie\IgDatapoolFe\Property\TypeConverter\FileConverter:
    tags:
      - name: extbase.type_converter
        priority: 22
        target: TYPO3\CMS\Core\Resource\File
        sources: array, integer, string


  Internetgalerie\IgDatapoolFe\Property\TypeConverter\HtmlConverter:
    tags:
      - name: extbase.type_converter
        priority: 5
        target: string
        sources: array

  Internetgalerie\IgDatapoolFe\Property\TypeConverter\UploadedObjectStorageFileReferenceConverter:
    tags:
      - name: extbase.type_converter
        priority: 2
        target: TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference>
        sources: array

  Internetgalerie\IgDatapoolFe\Property\TypeConverter\ObjectStorageConverter:
    tags:
      - name: extbase.type_converter
        priority: 25
        target: TYPO3\CMS\Extbase\Persistence\ObjectStorage
        sources: array

  Internetgalerie\IgDatapoolFe\Property\TypeConverter\TimeIntegerConverter:
    tags:
      - name: extbase.type_converter
        priority: 1
        target: int
        sources: string
